#### D.15.6.22 qepcad

Procedure from library `finitediff.lib` (see finitediff_lib).

Usage:
  qepcad(f); f a poly in the basering;

Return:
  type list; gives back some constraints that are equivalent to f<1 (computed by QEPCAD);

Example:

    LIB "finitediff.lib";
    list D="Ux","Ut","U";
    list P="a";
    list V="t","x";
    setinitials(V,D,P);
    def s1=scheme(u(Ut)+a*u(Ux),laxfrX(Ux,U,x),laxfrT(Ut,U,x));
    s1;
    ==> (-a*dt+dx)/(2*dx)*x^2+(a*dt+dx)/(2*dx)
    def s2=errormap(s1);
    s2;
    ==> (-a*dt+dx)/(dx)*i*cx*sx+(a*dt-dx)/(dx)*sx^2+1
    def s3=ComplexValue(s2);s3;
    ==> (a^2*dt^2-dx^2)/(dx^2)*sx^2+1
    qepcad(s3);
    ==> 0
    ==> 0
    ==> 0
    ==> sh: line 1: qepcadfilter.pl: command not found
    ==> 32512
    ==>
    ==> Try manually

User manual for Singular version 4.4.1, 2025, generated by texi2html.